/*
 * print.C
 *
 * MS 92
 * Copyright (C) 1992 Michael Sample and the University of British Columbia
 *
 * This library is free software; you can redistribute it and/or
 * modify it provided that this copyright/license information is retained
 * in original form.
 *
 * If you modify this file, you must clearly indicate your changes.
 *
 * This source code is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */


#include "asn_incl.h"

// the generated Print routines for aggregate types use these globals
unsigned short int indentG = 0;
unsigned short int stdIndentG = 4;

void
Indent(ostream& os, unsigned short int i)
{
    for( ; i > 0; i--)
        os <<  ' ';
}

ostream& operator<<(ostream& os, AsnType& a)
{ 
    a.Print(os);
    return os;
}

